class EnvConfigV2:

    ''' Env. V1 Parameters '''
    def __init__(self):
        """ Gridworld Dimensions """
        self.GRID_HEIGHT = 50
        self.GRID_WIDTH = 93
        # self.GRID_HEIGHT = 16
        # self.GRID_WIDTH = 16
        # self.MID = self.GRID_WIDTH // 2
        self.GH = self.GRID_HEIGHT
        self.GW = self.GRID_WIDTH
        self.DIM = [self.GH, self.GW]
        # self.HMP = int(self.GW/2) # HMP = Horizontal Mid Point
        # self.VMP = int(self.GH/2) # VMP = Vertical Mid Point
        self.ACTIONS = 4 # No-op, move up, down, left, righ

        """ Wind (slippery surface) """
        self.WIND = 0.0
       
        """ Agents """
        self.NUMBER_OF_AGENTS = 1
        self.AGENTS_X = 20
        self.AGENTS_Y = 5

        """ Goods """
        # self.GOODS_X = self.MID # Pickup X Coordinate
        # self.GOODS_Y = 11       # Pickup y Coordinate
        # self.GOODS_Y = 7       # Pickup y Coordinate
      
        """ Goals """
        self.GOALS_YX = [(7, 42, lambda:0.75), (3, 89, lambda:0.75), (18, 82, lambda:0.75), (42, 19, lambda:0.75), (43, 11, lambda:0.75), (17, 19, lambda:0.75), (29, 40, lambda:0.75), (23, 48, lambda:0.75), (32, 69, lambda:0.75), (17, 65, lambda:0.75), (5, 59, lambda:0.25), (1, 67, lambda:0.25), (7, 75, lambda:0.25), (15, 83, lambda:0.25), (11, 90, lambda:0.25), (18, 76, lambda:0.25), (27, 83, lambda:0.25), (27, 81, lambda:0.25), (42, 74, lambda:0.25), (47, 73, lambda:0.25), (48, 65, lambda:0.25), (42, 38, lambda:0.25), (48, 36, lambda:0.25), (43, 16, lambda:0.25), (48, 20, lambda:0.25), (47, 8, lambda:0.25), (29, 31, lambda:0.25), (21, 42, lambda:0.25), (24, 40, lambda:0.25), (33, 52, lambda:0.25), (14, 53, lambda:0.25), (15, 48, lambda:0.25), (26, 63, lambda:0.25), (20, 63, lambda:0.25)] # [(2,0,lambda:1.0)] # X, Y, Reward
 
        """ Colors """
        self.AGENTS = 240.0 # Colors [Agent1, Agent2]
        self.GOAL = [150.0, 200.0]
        self.OBSTACLE = 100.0
        self.number_goals = 34

        # Noise related parameters.
        # Used to turn CMOTP into continous environment
        self.NOISE = 0
        self.MU = 1.0
        self.SIGMA = 0.0

        """ Obstacles """
        self.OBSTACLES_YX = [(16, 85), (0, 85), (10, 92), (9, 92), (8, 92), (7, 92), (6, 92), (11, 91), (10, 91), (6, 91), (5, 91), (14, 90), (13, 90), (12, 90), (4, 90), (3, 90), (2, 90), (14, 89), (2, 89), (15, 88), (14, 88), (2, 88), (1, 88), (15, 87), (1, 87), (16, 86), (15, 86), (1, 86), (0, 86), (49, 84), (40, 84), (35, 84), (26, 84), (17, 84), (16, 84), (9, 84), (7, 84), (0, 84), (40, 83), (35, 83), (26, 83), (17, 83), (16, 83), (40, 82), (35, 82), (26, 82), (17, 82), (16, 82), (5, 82), (40, 81), (35, 81), (26, 81), (17, 81), (16, 81), (5, 81), (41, 80), (40, 80), (35, 80), (34, 80), (26, 80), (23, 80), (17, 80), (16, 80), (15, 80), (5, 80), (4, 80), (3, 80), (2, 80), (42, 79), (41, 79), (40, 79), (35, 79), (34, 79), (33, 79), (26, 79), (23, 79), (17, 79), (16, 79), (45, 78), (44, 78), (43, 78), (42, 78), (41, 78), (40, 78), (35, 78), (34, 78), (33, 78), (32, 78), (31, 78), (30, 78), (26, 78), (23, 78), (17, 78), (16, 78), (15, 78), (40, 77), (35, 77), (26, 77), (23, 77), (22, 77), (17, 77), (16, 77), (23, 76), (22, 76), (21, 76), (17, 76), (16, 76), (49, 75), (48, 75), (47, 75), (46, 75), (45, 75), (44, 75), (43, 75), (42, 75), (41, 75), (40, 75), (35, 75), (34, 75), (33, 75), (32, 75), (31, 75), (30, 75), (29, 75), (28, 75), (27, 75), (26, 75), (24, 75), (23, 75), (22, 75), (21, 75), (20, 75), (19, 75), (18, 75), (17, 75), (16, 75), (15, 75), (14, 75), (13, 75), (12, 75), (11, 75), (10, 75), (9, 75), (8, 75), (40, 74), (8, 74), (7, 74), (40, 73), (8, 73), (7, 73), (6, 73), (40, 72), (8, 72), (7, 72), (6, 72), (5, 72), (4, 72), (41, 71), (40, 71), (8, 71), (42, 70), (41, 70), (40, 70), (35, 70), (17, 70), (14, 70), (13, 70), (45, 69), (44, 69), (43, 69), (42, 69), (41, 69), (40, 69), (35, 69), (34, 69), (33, 69), (40, 68), (35, 68), (34, 68), (8, 68), (7, 68), (6, 68), (5, 68), (4, 68), (3, 68), (2, 68), (1, 68), (0, 68), (35, 67), (8, 67), (49, 66), (48, 66), (47, 66), (46, 66), (45, 66), (44, 66), (43, 66), (42, 66), (41, 66), (40, 66), (35, 66), (8, 66), (40, 65), (35, 65), (8, 65), (40, 64), (35, 64), (8, 64), (40, 63), (35, 63), (14, 63), (8, 63), (41, 62), (40, 62), (35, 62), (15, 62), (14, 62), (8, 62), (42, 61), (41, 61), (40, 61), (35, 61), (34, 61), (31, 61), (14, 61), (13, 61), (8, 61), (45, 60), (44, 60), (43, 60), (42, 60), (41, 60), (40, 60), (8, 60), (40, 59), (8, 59), (8, 58), (7, 58), (49, 57), (48, 57), (46, 57), (45, 57), (44, 57), (43, 57), (42, 57), (41, 57), (40, 57), (8, 57), (7, 57), (6, 57), (40, 56), (35, 56), (34, 56), (33, 56), (32, 56), (31, 56), (30, 56), (29, 56), (28, 56), (27, 56), (24, 56), (21, 56), (20, 56), (19, 56), (18, 56), (17, 56), (16, 56), (15, 56), (14, 56), (13, 56), (8, 56), (7, 56), (6, 56), (5, 56), (4, 56), (40, 55), (35, 55), (34, 55), (33, 55), (24, 55), (15, 55), (14, 55), (13, 55), (8, 55), (40, 54), (35, 54), (34, 54), (24, 54), (14, 54), (13, 54), (41, 53), (40, 53), (35, 53), (24, 53), (13, 53), (8, 53), (7, 53), (6, 53), (5, 53), (4, 53), (3, 53), (1, 53), (0, 53), (42, 52), (41, 52), (40, 52), (35, 52), (24, 52), (13, 52), (8, 52), (45, 51), (44, 51), (43, 51), (42, 51), (41, 51), (40, 51), (35, 51), (24, 51), (13, 51), (8, 51), (40, 50), (35, 50), (24, 50), (13, 50), (8, 50), (35, 49), (24, 49), (13, 49), (8, 49), (49, 48), (48, 48), (47, 48), (46, 48), (45, 48), (44, 48), (42, 48), (41, 48), (40, 48), (35, 48), (24, 48), (13, 48), (8, 48), (40, 47), (35, 47), (34, 47), (33, 47), (32, 47), (31, 47), (30, 47), (29, 47), (28, 47), (26, 47), (25, 47), (24, 47), (23, 47), (22, 47), (21, 47), (20, 47), (19, 47), (18, 47), (17, 47), (16, 47), (15, 47), (14, 47), (13, 47), (8, 47), (40, 46), (35, 46), (34, 46), (33, 46), (32, 46), (31, 46), (30, 46), (29, 46), (28, 46), (26, 46), (25, 46), (24, 46), (23, 46), (22, 46), (21, 46), (20, 46), (19, 46), (18, 46), (17, 46), (16, 46), (15, 46), (14, 46), (13, 46), (8, 46), (40, 45), (35, 45), (26, 45), (17, 45), (13, 45), (8, 45), (41, 44), (40, 44), (35, 44), (26, 44), (17, 44), (13, 44), (8, 44), (42, 43), (41, 43), (40, 43), (35, 43), (28, 43), (26, 43), (25, 43), (23, 43), (22, 43), (21, 43), (19, 43), (17, 43), (13, 43), (8, 43), (45, 42), (44, 42), (43, 42), (42, 42), (41, 42), (40, 42), (35, 42), (32, 42), (31, 42), (28, 42), (26, 42), (23, 42), (22, 42), (19, 42), (17, 42), (13, 42), (8, 42), (40, 41), (35, 41), (32, 41), (31, 41), (28, 41), (26, 41), (23, 41), (22, 41), (19, 41), (17, 41), (16, 41), (8, 41), (7, 41), (35, 40), (32, 40), (31, 40), (28, 40), (26, 40), (23, 40), (22, 40), (19, 40), (17, 40), (16, 40), (15, 40), (14, 40), (13, 40), (8, 40), (7, 40), (6, 40), (49, 39), (48, 39), (47, 39), (46, 39), (45, 39), (44, 39), (43, 39), (42, 39), (41, 39), (40, 39), (35, 39), (34, 39), (33, 39), (32, 39), (31, 39), (30, 39), (29, 39), (28, 39), (26, 39), (25, 39), (24, 39), (23, 39), (22, 39), (21, 39), (20, 39), (19, 39), (17, 39), (16, 39), (15, 39), (14, 39), (13, 39), (8, 39), (7, 39), (6, 39), (5, 39), (4, 39), (40, 38), (8, 38), (40, 37), (40, 36), (8, 36), (7, 36), (6, 36), (5, 36), (4, 36), (3, 36), (2, 36), (1, 36), (0, 36), (41, 35), (40, 35), (8, 35), (42, 34), (41, 34), (40, 34), (8, 34), (45, 33), (44, 33), (43, 33), (42, 33), (41, 33), (40, 33), (40, 32), (32, 31), (28, 31), (24, 31), (20, 31), (16, 31), (49, 30), (48, 30), (47, 30), (46, 30), (45, 30), (44, 30), (43, 30), (42, 30), (41, 30), (40, 30), (32, 30), (28, 30), (24, 30), (20, 30), (16, 30), (40, 29), (32, 29), (31, 29), (30, 29), (29, 29), (28, 29), (27, 29), (26, 29), (25, 29), (24, 29), (23, 29), (22, 29), (21, 29), (20, 29), (19, 29), (18, 29), (17, 29), (16, 29), (8, 29), (40, 28), (32, 28), (28, 28), (24, 28), (20, 28), (16, 28), (8, 28), (40, 27), (32, 27), (28, 27), (24, 27), (20, 27), (16, 27), (8, 27), (7, 27), (6, 27), (5, 27), (4, 27), (3, 27), (2, 27), (1, 27), (0, 27), (41, 26), (40, 26), (8, 26), (0, 26), (42, 25), (41, 25), (40, 25), (0, 25), (45, 24), (44, 24), (43, 24), (42, 24), (41, 24), (40, 24), (8, 24), (0, 24), (40, 23), (32, 23), (28, 23), (24, 23), (20, 23), (16, 23), (8, 23), (0, 23), (32, 22), (28, 22), (24, 22), (20, 22), (16, 22), (49, 21), (48, 21), (47, 21), (46, 21), (45, 21), (44, 21), (43, 21), (42, 21), (41, 21), (40, 21), (32, 21), (31, 21), (30, 21), (29, 21), (28, 21), (27, 21), (26, 21), (25, 21), (24, 21), (23, 21), (22, 21), (21, 21), (20, 21), (19, 21), (18, 21), (17, 21), (16, 21), (7, 21), (40, 20), (32, 20), (28, 20), (24, 20), (20, 20), (16, 20), (40, 19), (32, 19), (28, 19), (24, 19), (20, 19), (16, 19), (7, 19), (40, 18), (41, 17), (40, 17), (11, 17), (7, 17), (42, 16), (41, 16), (40, 16), (35, 16), (13, 16), (12, 16), (11, 16), (7, 16), (6, 16), (3, 16), (0, 16), (45, 15), (44, 15), (43, 15), (42, 15), (41, 15), (40, 15), (6, 15), (0, 15), (40, 14), (6, 14), (0, 14), (6, 13), (0, 13), (49, 12), (48, 12), (47, 12), (46, 12), (45, 12), (44, 12), (43, 12), (42, 12), (41, 12), (40, 12), (6, 12), (0, 12), (40, 11), (6, 11), (0, 11), (40, 10), (6, 10), (0, 10), (40, 9), (6, 9), (0, 9), (41, 8), (40, 8), (6, 8), (0, 8), (42, 7), (41, 7), (40, 7), (6, 7), (0, 7), (45, 6), (44, 6), (43, 6), (42, 6), (41, 6), (40, 6), (6, 6), (0, 6), (40, 5), (0, 5), (0, 4), (49, 3), (40, 3), (35, 3), (0, 3), (49, 2), (0, 2), (49, 1), (0, 1), (49, 0), (0, 0), (10, 92), (9, 92), (8, 92), (7, 92), (6, 92), (11, 91), (10, 91), (6, 91), (5, 91), (14, 90), (13, 90), (12, 90), (4, 90), (3, 90), (2, 90), (14, 89), (2, 89), (15, 88), (14, 88), (2, 88), (1, 88), (15, 87), (1, 87), (16, 86), (15, 86), (1, 86), (0, 86), (49, 84), (40, 84), (35, 84), (26, 84), (17, 84), (16, 84), (9, 84), (7, 84), (0, 84), (40, 83), (35, 83), (26, 83), (17, 83), (16, 83), (40, 82), (35, 82), (26, 82), (17, 82), (16, 82), (5, 82), (40, 81), (35, 81), (26, 81), (17, 81), (16, 81), (5, 81), (41, 80), (40, 80), (35, 80), (34, 80), (26, 80), (23, 80), (17, 80), (16, 80), (15, 80), (5, 80), (4, 80), (3, 80), (2, 80), (42, 79), (40, 79), (35, 79), (33, 79), (26, 79), (23, 79), (17, 79), (16, 79), (45, 78), (44, 78), (43, 78), (42, 78), (41, 78), (40, 78), (35, 78), (34, 78), (33, 78), (32, 78), (31, 78), (30, 78), (26, 78), (23, 78), (17, 78), (16, 78), (15, 78), (40, 77), (35, 77), (26, 77), (23, 77), (22, 77), (17, 77), (16, 77), (23, 76), (21, 76), (17, 76), (16, 76), (49, 75), (48, 75), (47, 75), (46, 75), (45, 75), (44, 75), (43, 75), (42, 75), (41, 75), (40, 75), (35, 75), (34, 75), (33, 75), (32, 75), (31, 75), (30, 75), (29, 75), (28, 75), (27, 75), (26, 75), (24, 75), (23, 75), (22, 75), (21, 75), (20, 75), (19, 75), (18, 75), (17, 75), (16, 75), (15, 75), (14, 75), (13, 75), (12, 75), (11, 75), (10, 75), (9, 75), (8, 75), (40, 74), (8, 74), (7, 74), (40, 73), (8, 73), (6, 73), (40, 72), (8, 72), (7, 72), (6, 72), (5, 72), (4, 72), (41, 71), (40, 71), (42, 70), (40, 70), (35, 70), (17, 70), (14, 70), (13, 70), (45, 69), (44, 69), (43, 69), (42, 69), (41, 69), (40, 69), (35, 69), (33, 69), (40, 68), (35, 68), (34, 68), (8, 68), (7, 68), (6, 68), (5, 68), (4, 68), (3, 68), (2, 68), (1, 68), (0, 68), (35, 67), (8, 67), (49, 66), (48, 66), (47, 66), (46, 66), (45, 66), (44, 66), (43, 66), (42, 66), (41, 66), (40, 66), (35, 66), (8, 66), (40, 65), (35, 65), (8, 65), (40, 64), (35, 64), (8, 64), (40, 63), (35, 63), (14, 63), (8, 63), (41, 62), (40, 62), (35, 62), (15, 62), (8, 62), (42, 61), (40, 61), (35, 61), (34, 61), (31, 61), (14, 61), (13, 61), (8, 61), (45, 60), (44, 60), (43, 60), (42, 60), (41, 60), (40, 60), (8, 60), (40, 59), (8, 59), (8, 58), (7, 58), (49, 57), (48, 57), (46, 57), (45, 57), (44, 57), (43, 57), (42, 57), (41, 57), (40, 57), (8, 57), (6, 57), (40, 56), (35, 56), (34, 56), (33, 56), (32, 56), (31, 56), (30, 56), (29, 56), (28, 56), (27, 56), (24, 56), (21, 56), (20, 56), (19, 56), (18, 56), (17, 56), (16, 56), (15, 56), (14, 56), (13, 56), (8, 56), (7, 56), (6, 56), (5, 56), (4, 56), (40, 55), (35, 55), (33, 55), (24, 55), (15, 55), (13, 55), (40, 54), (35, 54), (34, 54), (24, 54), (14, 54), (13, 54), (41, 53), (40, 53), (35, 53), (24, 53), (13, 53), (8, 53), (7, 53), (6, 53), (5, 53), (4, 53), (3, 53), (1, 53), (0, 53), (42, 52), (40, 52), (35, 52), (24, 52), (13, 52), (8, 52), (45, 51), (44, 51), (43, 51), (42, 51), (41, 51), (40, 51), (35, 51), (24, 51), (13, 51), (8, 51), (40, 50), (35, 50), (24, 50), (13, 50), (8, 50), (35, 49), (24, 49), (13, 49), (8, 49), (49, 48), (48, 48), (47, 48), (46, 48), (45, 48), (44, 48), (42, 48), (41, 48), (40, 48), (35, 48), (24, 48), (13, 48), (8, 48), (40, 47), (35, 47), (34, 47), (33, 47), (32, 47), (31, 47), (30, 47), (29, 47), (28, 47), (26, 47), (25, 47), (24, 47), (23, 47), (22, 47), (21, 47), (20, 47), (19, 47), (18, 47), (17, 47), (16, 47), (15, 47), (14, 47), (13, 47), (8, 47), (40, 46), (35, 46), (34, 46), (33, 46), (32, 46), (31, 46), (30, 46), (29, 46), (28, 46), (26, 46), (25, 46), (24, 46), (23, 46), (22, 46), (21, 46), (20, 46), (19, 46), (18, 46), (17, 46), (16, 46), (15, 46), (14, 46), (13, 46), (8, 46), (40, 45), (35, 45), (26, 45), (17, 45), (13, 45), (8, 45), (41, 44), (40, 44), (35, 44), (26, 44), (17, 44), (13, 44), (8, 44), (42, 43), (40, 43), (35, 43), (34, 43), (32, 43), (31, 43), (30, 43), (28, 43), (26, 43), (25, 43), (23, 43), (22, 43), (21, 43), (19, 43), (17, 43), (13, 43), (8, 43), (45, 42), (44, 42), (43, 42), (42, 42), (41, 42), (40, 42), (35, 42), (32, 42), (31, 42), (28, 42), (26, 42), (23, 42), (22, 42), (19, 42), (17, 42), (13, 42), (8, 42), (40, 41), (35, 41), (32, 41), (31, 41), (28, 41), (26, 41), (23, 41), (22, 41), (19, 41), (17, 41), (16, 41), (8, 41), (7, 41), (35, 40), (32, 40), (31, 40), (28, 40), (26, 40), (23, 40), (22, 40), (19, 40), (17, 40), (15, 40), (14, 40), (13, 40), (8, 40), (6, 40), (49, 39), (48, 39), (47, 39), (46, 39), (45, 39), (44, 39), (43, 39), (42, 39), (41, 39), (40, 39), (35, 39), (34, 39), (33, 39), (32, 39), (31, 39), (30, 39), (29, 39), (28, 39), (26, 39), (25, 39), (24, 39), (23, 39), (22, 39), (21, 39), (20, 39), (19, 39), (17, 39), (16, 39), (15, 39), (14, 39), (13, 39), (8, 39), (7, 39), (6, 39), (5, 39), (4, 39), (40, 38), (40, 37), (40, 36), (8, 36), (7, 36), (6, 36), (5, 36), (4, 36), (3, 36), (2, 36), (1, 36), (0, 36), (41, 35), (40, 35), (8, 35), (42, 34), (40, 34), (8, 34), (45, 33), (44, 33), (43, 33), (42, 33), (41, 33), (40, 33), (40, 32), (32, 31), (28, 31), (24, 31), (20, 31), (16, 31), (49, 30), (48, 30), (47, 30), (46, 30), (45, 30), (44, 30), (43, 30), (42, 30), (41, 30), (40, 30), (32, 30), (28, 30), (24, 30), (20, 30), (16, 30), (40, 29), (32, 29), (31, 29), (30, 29), (29, 29), (28, 29), (27, 29), (26, 29), (25, 29), (24, 29), (23, 29), (22, 29), (21, 29), (20, 29), (19, 29), (18, 29), (17, 29), (16, 29), (8, 29), (40, 28), (32, 28), (28, 28), (24, 28), (20, 28), (16, 28), (8, 28), (40, 27), (32, 27), (28, 27), (24, 27), (20, 27), (16, 27), (8, 27), (7, 27), (6, 27), (5, 27), (4, 27), (3, 27), (2, 27), (1, 27), (0, 27), (41, 26), (40, 26), (8, 26), (0, 26), (42, 25), (40, 25), (0, 25), (45, 24), (44, 24), (43, 24), (42, 24), (41, 24), (40, 24), (8, 24), (0, 24), (40, 23), (32, 23), (28, 23), (24, 23), (20, 23), (16, 23), (8, 23), (0, 23), (32, 22), (28, 22), (24, 22), (20, 22), (16, 22), (49, 21), (48, 21), (47, 21), (46, 21), (45, 21), (44, 21), (43, 21), (42, 21), (41, 21), (40, 21), (32, 21), (31, 21), (30, 21), (29, 21), (28, 21), (27, 21), (26, 21), (25, 21), (24, 21), (23, 21), (22, 21), (21, 21), (20, 21), (19, 21), (18, 21), (17, 21), (16, 21), (7, 21), (40, 20), (32, 20), (28, 20), (24, 20), (20, 20), (16, 20), (40, 19), (32, 19), (28, 19), (24, 19), (20, 19), (16, 19), (7, 19), (40, 18), (41, 17), (40, 17), (11, 17), (7, 17), (42, 16), (40, 16), (35, 16), (13, 16), (12, 16), (11, 16), (7, 16), (6, 16), (3, 16), (0, 16), (45, 15), (44, 15), (43, 15), (42, 15), (41, 15), (40, 15), (6, 15), (0, 15), (40, 14), (6, 14), (0, 14), (6, 13), (0, 13), (49, 12), (48, 12), (47, 12), (46, 12), (45, 12), (44, 12), (43, 12), (42, 12), (41, 12), (40, 12), (6, 12), (0, 12), (40, 11), (6, 11), (0, 11), (40, 10), (6, 10), (0, 10), (40, 9), (6, 9), (0, 9), (41, 8), (40, 8), (6, 8), (0, 8), (42, 7), (40, 7), (6, 7), (0, 7), (45, 6), (44, 6), (43, 6), (42, 6), (41, 6), (40, 6), (25, 6), (24, 6), (23, 6), (22, 6), (21, 6), (20, 6), (19, 6), (18, 6), (17, 6), (16, 6), (15, 6), (14, 6), (13, 6), (12, 6), (11, 6), (10, 6), (9, 6), (8, 6), (7, 6), (6, 6), (0, 6), (40, 5), (27, 5), (26, 5), (0, 5), (28, 4), (0, 4), (49, 3), (40, 3), (35, 3), (31, 3), (30, 3), (29, 3), (0, 3), (49, 2), (34, 2), (33, 2), (32, 2), (0, 2), (49, 1), (0, 1), (49, 0), (0, 0), (49, 84), (48, 84), (47, 84), (46, 84), (45, 84), (44, 84), (43, 84), (42, 84), (41, 84), (40, 84), (39, 84), (38, 84), (37, 84), (36, 84), (35, 84), (34, 84), (33, 84), (32, 84), (31, 84), (30, 84), (29, 84), (28, 84), (27, 84), (26, 84), (25, 84), (24, 84), (23, 84), (22, 84), (21, 84), (20, 84), (19, 84), (18, 84), (17, 84), (16, 84), (15, 84), (14, 84), (13, 84), (12, 84), (11, 84), (10, 84), (9, 84), (7, 84), (6, 84), (5, 84), (4, 84), (3, 84), (2, 84), (1, 84), (0, 84), (49, 83), (46, 83), (44, 83), (40, 83), (35, 83), (31, 83), (29, 83), (26, 83), (20, 83), (19, 83), (18, 83), (17, 83), (16, 83), (0, 83), (49, 82), (46, 82), (44, 82), (40, 82), (35, 82), (31, 82), (29, 82), (26, 82), (17, 82), (16, 82), (5, 82), (0, 82), (49, 81), (46, 81), (44, 81), (40, 81), (35, 81), (31, 81), (29, 81), (26, 81), (17, 81), (16, 81), (11, 81), (9, 81), (5, 81), (0, 81), (49, 80), (41, 80), (40, 80), (35, 80), (34, 80), (26, 80), (23, 80), (17, 80), (16, 80), (11, 80), (9, 80), (5, 80), (4, 80), (3, 80), (2, 80), (0, 80), (49, 79), (42, 79), (40, 79), (35, 79), (33, 79), (26, 79), (23, 79), (17, 79), (16, 79), (11, 79), (9, 79), (0, 79), (49, 78), (45, 78), (44, 78), (43, 78), (42, 78), (41, 78), (40, 78), (35, 78), (34, 78), (33, 78), (32, 78), (31, 78), (30, 78), (26, 78), (23, 78), (17, 78), (16, 78), (11, 78), (9, 78), (0, 78), (49, 77), (40, 77), (35, 77), (26, 77), (23, 77), (22, 77), (17, 77), (16, 77), (0, 77), (49, 76), (23, 76), (21, 76), (17, 76), (16, 76), (0, 76), (49, 75), (48, 75), (47, 75), (46, 75), (45, 75), (44, 75), (43, 75), (42, 75), (41, 75), (40, 75), (35, 75), (34, 75), (33, 75), (32, 75), (31, 75), (30, 75), (29, 75), (28, 75), (27, 75), (26, 75), (24, 75), (23, 75), (22, 75), (21, 75), (20, 75), (19, 75), (18, 75), (17, 75), (16, 75), (15, 75), (14, 75), (13, 75), (12, 75), (11, 75), (10, 75), (9, 75), (8, 75), (0, 75), (49, 74), (46, 74), (44, 74), (40, 74), (8, 74), (7, 74), (0, 74), (49, 73), (46, 73), (44, 73), (40, 73), (8, 73), (6, 73), (0, 73), (49, 72), (46, 72), (44, 72), (40, 72), (8, 72), (7, 72), (6, 72), (5, 72), (4, 72), (0, 72), (49, 71), (41, 71), (40, 71), (0, 71), (49, 70), (42, 70), (40, 70), (35, 70), (34, 70), (33, 70), (32, 70), (31, 70), (30, 70), (29, 70), (28, 70), (27, 70), (26, 70), (25, 70), (24, 70), (23, 70), (22, 70), (21, 70), (20, 70), (19, 70), (18, 70), (17, 70), (14, 70), (13, 70), (0, 70), (49, 69), (45, 69), (44, 69), (43, 69), (42, 69), (41, 69), (40, 69), (35, 69), (33, 69), (13, 69), (0, 69), (49, 68), (40, 68), (35, 68), (34, 68), (29, 68), (27, 68), (25, 68), (23, 68), (21, 68), (19, 68), (13, 68), (8, 68), (7, 68), (6, 68), (5, 68), (4, 68), (3, 68), (2, 68), (1, 68), (0, 68), (49, 67), (35, 67), (29, 67), (28, 67), (27, 67), (26, 67), (25, 67), (24, 67), (23, 67), (22, 67), (21, 67), (20, 67), (19, 67), (13, 67), (8, 67), (0, 67), (49, 66), (48, 66), (47, 66), (46, 66), (45, 66), (44, 66), (43, 66), (42, 66), (41, 66), (40, 66), (35, 66), (13, 66), (8, 66), (0, 66), (49, 65), (46, 65), (44, 65), (40, 65), (35, 65), (13, 65), (8, 65), (3, 65), (2, 65), (1, 65), (0, 65), (49, 64), (46, 64), (44, 64), (40, 64), (35, 64), (29, 64), (28, 64), (27, 64), (26, 64), (25, 64), (24, 64), (23, 64), (22, 64), (21, 64), (20, 64), (19, 64), (13, 64), (8, 64), (0, 64), (49, 63), (40, 63), (35, 63), (29, 63), (27, 63), (25, 63), (23, 63), (21, 63), (19, 63), (14, 63), (13, 63), (8, 63), (3, 63), (2, 63), (1, 63), (0, 63), (49, 62), (41, 62), (40, 62), (35, 62), (15, 62), (13, 62), (8, 62), (0, 62), (49, 61), (42, 61), (40, 61), (35, 61), (34, 61), (31, 61), (30, 61), (29, 61), (28, 61), (27, 61), (26, 61), (25, 61), (24, 61), (23, 61), (22, 61), (21, 61), (20, 61), (19, 61), (18, 61), (17, 61), (16, 61), (15, 61), (14, 61), (13, 61), (8, 61), (0, 61), (49, 60), (45, 60), (44, 60), (43, 60), (42, 60), (41, 60), (40, 60), (8, 60), (0, 60), (49, 59), (40, 59), (8, 59), (0, 59), (49, 58), (8, 58), (7, 58), (0, 58), (49, 57), (48, 57), (46, 57), (45, 57), (44, 57), (43, 57), (42, 57), (41, 57), (40, 57), (8, 57), (6, 57), (0, 57), (49, 56), (46, 56), (44, 56), (40, 56), (35, 56), (34, 56), (33, 56), (32, 56), (31, 56), (30, 56), (29, 56), (28, 56), (27, 56), (24, 56), (21, 56), (20, 56), (19, 56), (18, 56), (17, 56), (16, 56), (15, 56), (14, 56), (13, 56), (8, 56), (7, 56), (6, 56), (5, 56), (4, 56), (0, 56), (49, 55), (46, 55), (44, 55), (40, 55), (35, 55), (33, 55), (24, 55), (15, 55), (13, 55), (0, 55), (49, 54), (46, 54), (44, 54), (40, 54), (35, 54), (34, 54), (24, 54), (14, 54), (13, 54), (0, 54), (49, 53), (41, 53), (40, 53), (35, 53), (31, 53), (30, 53), (29, 53), (28, 53), (24, 53), (20, 53), (19, 53), (18, 53), (17, 53), (13, 53), (8, 53), (7, 53), (6, 53), (5, 53), (4, 53), (3, 53), (1, 53), (0, 53), (49, 52), (42, 52), (40, 52), (35, 52), (24, 52), (16, 52), (13, 52), (8, 52), (0, 52), (49, 51), (45, 51), (44, 51), (43, 51), (42, 51), (41, 51), (40, 51), (35, 51), (24, 51), (16, 51), (13, 51), (8, 51), (0, 51), (49, 50), (40, 50), (35, 50), (31, 50), (30, 50), (29, 50), (28, 50), (24, 50), (20, 50), (19, 50), (18, 50), (17, 50), (13, 50), (8, 50), (0, 50), (49, 49), (35, 49), (24, 49), (13, 49), (8, 49), (3, 49), (0, 49), (49, 48), (48, 48), (47, 48), (46, 48), (45, 48), (44, 48), (42, 48), (41, 48), (40, 48), (35, 48), (24, 48), (13, 48), (8, 48), (3, 48), (0, 48), (49, 47), (48, 47), (40, 47), (35, 47), (34, 47), (33, 47), (32, 47), (31, 47), (30, 47), (29, 47), (28, 47), (26, 47), (25, 47), (24, 47), (23, 47), (22, 47), (21, 47), (20, 47), (19, 47), (18, 47), (17, 47), (16, 47), (15, 47), (14, 47), (13, 47), (8, 47), (3, 47), (0, 47), (49, 46), (48, 46), (40, 46), (35, 46), (34, 46), (33, 46), (32, 46), (31, 46), (30, 46), (29, 46), (28, 46), (26, 46), (25, 46), (24, 46), (23, 46), (22, 46), (21, 46), (20, 46), (19, 46), (18, 46), (17, 46), (16, 46), (15, 46), (14, 46), (13, 46), (8, 46), (0, 46), (49, 45), (48, 45), (40, 45), (35, 45), (26, 45), (17, 45), (16, 45), (13, 45), (8, 45), (0, 45), (49, 44), (48, 44), (41, 44), (40, 44), (35, 44), (26, 44), (17, 44), (13, 44), (8, 44), (0, 44), (49, 43), (48, 43), (42, 43), (40, 43), (35, 43), (34, 43), (32, 43), (31, 43), (30, 43), (28, 43), (26, 43), (25, 43), (23, 43), (22, 43), (21, 43), (19, 43), (17, 43), (13, 43), (8, 43), (0, 43), (49, 42), (45, 42), (44, 42), (43, 42), (42, 42), (41, 42), (40, 42), (35, 42), (32, 42), (31, 42), (28, 42), (26, 42), (23, 42), (22, 42), (19, 42), (17, 42), (13, 42), (8, 42), (0, 42), (49, 41), (40, 41), (35, 41), (32, 41), (31, 41), (28, 41), (26, 41), (23, 41), (22, 41), (19, 41), (17, 41), (16, 41), (8, 41), (7, 41), (0, 41), (49, 40), (35, 40), (32, 40), (31, 40), (28, 40), (26, 40), (23, 40), (22, 40), (19, 40), (17, 40), (15, 40), (14, 40), (13, 40), (8, 40), (6, 40), (0, 40), (49, 39), (48, 39), (47, 39), (46, 39), (45, 39), (44, 39), (43, 39), (42, 39), (41, 39), (40, 39), (35, 39), (34, 39), (33, 39), (32, 39), (31, 39), (30, 39), (29, 39), (28, 39), (26, 39), (25, 39), (24, 39), (23, 39), (22, 39), (21, 39), (20, 39), (19, 39), (17, 39), (16, 39), (15, 39), (14, 39), (13, 39), (8, 39), (7, 39), (6, 39), (5, 39), (4, 39), (0, 39), (49, 38), (46, 38), (44, 38), (40, 38), (0, 38), (49, 37), (46, 37), (44, 37), (40, 37), (0, 37), (49, 36), (46, 36), (44, 36), (40, 36), (8, 36), (7, 36), (6, 36), (5, 36), (4, 36), (3, 36), (2, 36), (1, 36), (0, 36), (49, 35), (41, 35), (40, 35), (8, 35), (5, 35), (4, 35), (1, 35), (0, 35), (49, 34), (42, 34), (40, 34), (35, 34), (33, 34), (32, 34), (31, 34), (30, 34), (29, 34), (28, 34), (27, 34), (26, 34), (25, 34), (24, 34), (23, 34), (22, 34), (21, 34), (20, 34), (19, 34), (18, 34), (17, 34), (16, 34), (15, 34), (14, 34), (13, 34), (8, 34), (1, 34), (0, 34), (49, 33), (45, 33), (44, 33), (43, 33), (42, 33), (41, 33), (40, 33), (35, 33), (13, 33), (1, 33), (0, 33), (49, 32), (40, 32), (35, 32), (13, 32), (0, 32), (49, 31), (35, 31), (32, 31), (30, 31), (28, 31), (26, 31), (24, 31), (22, 31), (20, 31), (18, 31), (16, 31), (13, 31), (0, 31), (49, 30), (48, 30), (47, 30), (46, 30), (45, 30), (44, 30), (43, 30), (42, 30), (41, 30), (40, 30), (35, 30), (32, 30), (31, 30), (30, 30), (29, 30), (28, 30), (27, 30), (26, 30), (25, 30), (24, 30), (23, 30), (22, 30), (21, 30), (20, 30), (19, 30), (18, 30), (17, 30), (16, 30), (13, 30), (1, 30), (0, 30), (49, 29), (46, 29), (44, 29), (40, 29), (35, 29), (32, 29), (31, 29), (30, 29), (29, 29), (28, 29), (27, 29), (26, 29), (25, 29), (24, 29), (23, 29), (22, 29), (21, 29), (20, 29), (19, 29), (18, 29), (17, 29), (16, 29), (13, 29), (8, 29), (1, 29), (0, 29), (49, 28), (46, 28), (44, 28), (40, 28), (35, 28), (32, 28), (30, 28), (29, 28), (28, 28), (26, 28), (25, 28), (24, 28), (23, 28), (22, 28), (20, 28), (19, 28), (18, 28), (16, 28), (13, 28), (8, 28), (5, 28), (4, 28), (1, 28), (0, 28), (49, 27), (46, 27), (44, 27), (40, 27), (35, 27), (32, 27), (29, 27), (28, 27), (25, 27), (24, 27), (23, 27), (20, 27), (19, 27), (16, 27), (13, 27), (8, 27), (7, 27), (6, 27), (5, 27), (4, 27), (3, 27), (2, 27), (1, 27), (0, 27), (49, 26), (41, 26), (40, 26), (35, 26), (13, 26), (8, 26), (0, 26), (49, 25), (42, 25), (40, 25), (0, 25), (49, 24), (45, 24), (44, 24), (43, 24), (42, 24), (41, 24), (40, 24), (35, 24), (13, 24), (8, 24), (0, 24), (49, 23), (40, 23), (35, 23), (32, 23), (31, 23), (28, 23), (27, 23), (24, 23), (21, 23), (20, 23), (17, 23), (16, 23), (13, 23), (8, 23), (7, 23), (6, 23), (5, 23), (4, 23), (3, 23), (2, 23), (1, 23), (0, 23), (49, 22), (35, 22), (32, 22), (31, 22), (30, 22), (28, 22), (27, 22), (26, 22), (24, 22), (22, 22), (21, 22), (20, 22), (18, 22), (17, 22), (16, 22), (13, 22), (0, 22), (49, 21), (48, 21), (47, 21), (46, 21), (45, 21), (44, 21), (43, 21), (42, 21), (41, 21), (40, 21), (35, 21), (32, 21), (31, 21), (30, 21), (29, 21), (28, 21), (27, 21), (26, 21), (25, 21), (24, 21), (23, 21), (22, 21), (21, 21), (20, 21), (19, 21), (18, 21), (17, 21), (16, 21), (13, 21), (7, 21), (0, 21), (49, 20), (46, 20), (40, 20), (35, 20), (32, 20), (31, 20), (30, 20), (29, 20), (28, 20), (27, 20), (26, 20), (25, 20), (24, 20), (23, 20), (22, 20), (21, 20), (20, 20), (19, 20), (18, 20), (17, 20), (16, 20), (13, 20), (0, 20), (49, 19), (46, 19), (40, 19), (35, 19), (32, 19), (30, 19), (28, 19), (26, 19), (24, 19), (22, 19), (20, 19), (18, 19), (16, 19), (13, 19), (7, 19), (0, 19), (49, 18), (46, 18), (40, 18), (35, 18), (13, 18), (12, 18), (0, 18), (49, 17), (41, 17), (40, 17), (35, 17), (13, 17), (11, 17), (7, 17), (0, 17), (49, 16), (42, 16), (40, 16), (35, 16), (34, 16), (33, 16), (32, 16), (31, 16), (30, 16), (29, 16), (28, 16), (27, 16), (26, 16), (25, 16), (24, 16), (23, 16), (22, 16), (21, 16), (20, 16), (19, 16), (18, 16), (17, 16), (16, 16), (15, 16), (14, 16), (13, 16), (12, 16), (11, 16), (10, 16), (9, 16), (8, 16), (7, 16), (6, 16), (3, 16), (0, 16), (49, 15), (45, 15), (44, 15), (43, 15), (42, 15), (41, 15), (40, 15), (35, 15), (3, 15), (0, 15), (49, 14), (40, 14), (35, 14), (21, 14), (3, 14), (0, 14), (49, 13), (35, 13), (21, 13), (3, 13), (0, 13), (49, 12), (48, 12), (47, 12), (46, 12), (45, 12), (44, 12), (43, 12), (42, 12), (41, 12), (40, 12), (35, 12), (22, 12), (3, 12), (0, 12), (49, 11), (46, 11), (44, 11), (40, 11), (35, 11), (22, 11), (3, 11), (0, 11), (49, 10), (46, 10), (44, 10), (40, 10), (35, 10), (22, 10), (3, 10), (0, 10), (49, 9), (46, 9), (44, 9), (40, 9), (35, 9), (23, 9), (3, 9), (0, 9), (49, 8), (41, 8), (40, 8), (35, 8), (24, 8), (3, 8), (0, 8), (49, 7), (42, 7), (40, 7), (35, 7), (24, 7), (3, 7), (0, 7), (49, 6), (45, 6), (44, 6), (43, 6), (42, 6), (41, 6), (40, 6), (35, 6), (25, 6), (24, 6), (23, 6), (22, 6), (21, 6), (20, 6), (19, 6), (18, 6), (17, 6), (16, 6), (15, 6), (14, 6), (13, 6), (12, 6), (11, 6), (10, 6), (9, 6), (8, 6), (7, 6), (3, 6), (0, 6), (49, 5), (40, 5), (35, 5), (27, 5), (26, 5), (0, 5), (49, 4), (35, 4), (28, 4), (0, 4), (49, 3), (48, 3), (47, 3), (46, 3), (45, 3), (44, 3), (43, 3), (42, 3), (41, 3), (40, 3), (39, 3), (38, 3), (37, 3), (36, 3), (35, 3), (31, 3), (30, 3), (29, 3), (0, 3), (49, 2), (34, 2), (33, 2), (32, 2), (0, 2), (49, 1), (0, 1), (49, 0), (0, 0), (9, 51), (10, 51), (11, 51), (12, 51), (25, 74), (25, 73), (25, 72), (25, 71), (36, 49), (37, 49), (38, 49), (39, 49), (14, 26), (14, 25), (14, 24), (14, 23)]


